You are receiving this mail as a port that you maintain
is failing to build on the FreeBSD package build server.
Please investigate the failure and submit a PR to fix
build.

Maintainer:     r...@freebsd.org
Last committer: b...@freebsd.org
Ident:          $FreeBSD: branches/2016Q4/devel/rubygem-rice/Makefile 415267 
2016-05-15 17:11:09Z brd $
Log URL:        
http://beefy15.nyi.freebsd.org/data/110armv6-quarterly/427426/logs/rubygem-rice-2.1.0.log
Build URL:      
http://beefy15.nyi.freebsd.org/build.html?mastername=110armv6-quarterly&build=427426
Log:

====>> Building devel/rubygem-rice
build started at Thu Dec  1 11:57:01 UTC 2016
port directory: /usr/ports/devel/rubygem-rice
building for: FreeBSD 110armv6-quarterly-job-13 11.0-RELEASE-p3 FreeBSD 
11.0-RELEASE-p3 r308202 arm
maintained by: r...@freebsd.org
Makefile ident:      $FreeBSD: branches/2016Q4/devel/rubygem-rice/Makefile 
415267 2016-05-15 17:11:09Z brd $
Poudriere version: 3.1.14
Host OSVERSION: 1200010
Jail OSVERSION: 1100122
Job Id: 13

---Begin Environment---
SHELL=/bin/csh
UNAME_p=armv6
UNAME_m=arm
ABI_FILE=/usr/lib/crt1.o
UNAME_v=FreeBSD 11.0-RELEASE-p3 r308202
UNAME_r=11.0-RELEASE-p3
BLOCKSIZE=K
MAIL=/var/mail/root
STATUS=1
OPSYS=FreeBSD
ARCH=armv6
SAVED_TERM=
MASTERMNT=/usr/local/poudriere/data/.m/110armv6-quarterly/ref
QEMU_EMULATING=1
UID=0
PATH=/sbin:/bin:/usr/sbin:/usr/bin:/usr/local/sbin:/usr/local/bin:/root/bin
_JAVA_VERSION_LIST_REGEXP=1.6\|1.7\|1.8\|1.6+\|1.7+\|1.8+
POUDRIERE_BUILD_TYPE=bulk
PKGNAME=rubygem-rice-2.1.0
OSREL=11.0
_OSRELEASE=11.0-RELEASE-p3
PYTHONBASE=/usr/local
OLDPWD=/
_SMP_CPUS=28
PWD=/usr/local/poudriere/data/.m/110armv6-quarterly/ref/.p/pool
MASTERNAME=110armv6-quarterly
SCRIPTPREFIX=/usr/local/share/poudriere
_JAVA_VENDOR_LIST_REGEXP=openjdk\|oracle\|sun
USER=root
HOME=/root
POUDRIERE_VERSION=3.1.14
SCRIPTPATH=/usr/local/share/poudriere/bulk.sh
CONFIGURE_MAX_CMD_LEN=262144
LIBEXECPREFIX=/usr/local/libexec/poudriere
LOCALBASE=/usr/local
PACKAGE_BUILDING=yes
_JAVA_OS_LIST_REGEXP=native\|linux
OSVERSION=1100122
---End Environment---

---Begin OPTIONS List---
---End OPTIONS List---

--CONFIGURE_ARGS--
--prefix=/usr/local ${_LATE_CONFIGURE_ARGS}
--End CONFIGURE_ARGS--

--CONFIGURE_ENV--
XDG_DATA_HOME=/wrkdirs/usr/ports/devel/rubygem-rice/work  
XDG_CONFIG_HOME=/wrkdirs/usr/ports/devel/rubygem-rice/work  
HOME=/wrkdirs/usr/ports/devel/rubygem-rice/work TMPDIR="/tmp" SHELL=/bin/sh 
CONFIG_SHELL=/bin/sh AUTOMAKE=/usr/local/bin/automake-1.15  
AUTOMAKE_DIR=/usr/local/share/automake-1.15  AUTOMAKE_VERSION=1.15  
AUTOMAKE_APIVER=1.15  ACLOCAL=/usr/local/bin/aclocal-1.15  
ACLOCAL_DIR=/usr/local/share/aclocal-1.15 AUTOCONF=/usr/local/bin/autoconf-2.69 
 AUTOCONF_DIR=/usr/local/share/autoconf-2.69  
AUTOHEADER=/usr/local/bin/autoheader-2.69  
AUTOIFNAMES=/usr/local/bin/ifnames-2.69  AUTOM4TE=/usr/local/bin/autom4te-2.69  
AUTORECONF=/usr/local/bin/autoreconf-2.69  
AUTOSCAN=/usr/local/bin/autoscan-2.69  
AUTOUPDATE=/usr/local/bin/autoupdate-2.69  AUTOCONF_VERSION=2.69 
CONFIG_SITE=/usr/ports/Templates/config.site lt_cv_sys_max_cmd_len=262144
--End CONFIGURE_ENV--

--MAKE_ENV--
XDG_DATA_HOME=/wrkdirs/usr/ports/devel/rubygem-rice/work  
XDG_CONFIG_HOME=/wrkdirs/usr/ports/devel/rubygem-rice/work  
HOME=/wrkdirs/usr/ports/devel/rubygem-rice/work TMPDIR="/tmp" NO_PIE=yes 
MK_DEBUG_FILES=no MK_KERNEL_SYMBOLS=no SHELL=/bin/sh NO_LINT=YES 
AUTOMAKE=/usr/local/bin/automake-1.15  
AUTOMAKE_DIR=/usr/local/share/automake-1.15  AUTOMAKE_VERSION=1.15  
AUTOMAKE_APIVER=1.15  ACLOCAL=/usr/local/bin/aclocal-1.15  
ACLOCAL_DIR=/usr/local/share/aclocal-1.15 AUTOCONF=/usr/local/bin/autoconf-2.69 
 AUTOCONF_DIR=/usr/local/share/autoconf-2.69  
AUTOHEADER=/usr/local/bin/autoheader-2.69  
AUTOIFNAMES=/usr/local/bin/ifnames-2.69  AUTOM4TE=/usr/local/bin/autom4te-2.69  
AUTORECONF=/usr/local/bin/autoreconf-2.69  
AUTOSCAN=/usr/local/bin/autoscan-2.69  
AUTOUPDATE=/usr/local/bin/autoupdate-2.69  AUTOCONF_VERSION=2.69 
PREFIX=/usr/local  LOCALBASE=/usr/local  LIBDIR="/usr/lib"  
CC="/nxb-bin/usr/bin/cc" CFLAGS="-O2 -pipe  -fno-strict-aliasing"  
CPP="/nxb-bin/usr/bin/cpp" CPPFLAGS=""  LDFLAGS="" LI
 BS=""  CXX="/nxb-bin/usr/bin/c++" CXXFLAGS="-O2 -pipe -fno-strict-aliasing "  
MANPREFIX="/usr/local" BSD_INSTALL_PROGRAM="install  -s -m 555"  
BSD_INSTALL_LIB="install  -s -m 444"  BSD_INSTALL_SCRIPT="install  -m 555"  
BSD_INSTALL_DATA="install  -m 0644"  BSD_INSTALL_MAN="install  -m 444"
--End MAKE_ENV--

--PLIST_SUB--
RUBY_LIBDIR="lib/ruby/2.2"
RUBY_ARCHLIBDIR="lib/ruby/2.2/armv6-freebsd11"
RUBY_SITELIBDIR="lib/ruby/site_ruby/2.2"
RUBY_SITEARCHLIBDIR="lib/ruby/site_ruby/2.2/armv6-freebsd11"
RUBY_VENDORLIBDIR="lib/ruby/vendor_ruby/2.2"
RUBY_VENDORARCHLIBDIR="lib/ruby/vendor_ruby/2.2/armv6-freebsd11"
RUBY_MODDOCDIR="share/doc/ruby22/rice"
RUBY_MODEXAMPLESDIR="share/examples/ruby22/rice"
RUBY_DOCDIR="share/doc/ruby22"
RUBY_EXAMPLESDIR="share/examples/ruby22"
RUBY_RIDIR="share/ri/2.2/system"
RUBY_SITERIDIR="share/ri/2.2/site"
RUBY_VERSION="2.2.5"
RUBY_VER="2.2"
RUBY_SHLIBVER="22"
RUBY_ARCH="armv6-freebsd11"
RUBY_SUFFIX="22"
RUBY_NAME="ruby22"
RUBY_DEFAULT_SUFFIX="22"
RUBY21="@comment
"
RUBY22=""
RUBY23="@comment
"
PORTVERSION="2.1.0"
REV=""
GEMS_BASE_DIR="lib/ruby/gems/2.2"
GEMS_DIR="lib/ruby/gems/2.2/gems"
DOC_DIR="lib/ruby/gems/2.2/doc"
CACHE_DIR="lib/ruby/gems/2.2/cache"
SPEC_DIR="lib/ruby/gems/2.2/specifications"
EXT_DIR="lib/ruby/gems/2.2/extensions"
PORT="rice-2.1.0"
GEM_NAME="rice-2.1.0"
GEM_LIB_DIR="lib/ruby/gems/2.2/gems/rice-2.1.0"
GEM_DOC_DIR="lib/ruby/gems/2.2/doc/rice-2.1.0"
GEM_SPEC="lib/ruby/gems/2.2/specifications/rice-2.1.0.gemspec"
GEM_CACHE="lib/ruby/gems/2.2/cache/rice-2.1.0.gem"
EXTRACT_SUFX=".gem"
OSREL=11.0
PREFIX=%D
LOCALBASE=/usr/local
RESETPREFIX=/usr/local
PORTDOCS=""
PORTEXAMPLES=""
LIB32DIR=lib
DOCSDIR="share/doc/rice"
EXAMPLESDIR="share/examples/rice"
DATADIR="share/rice"
WWWDIR="www/rice"
ETCDIR="etc/rice"
--End PLIST_SUB--

--SUB_LIST--
PREFIX=/usr/local
LOCALBASE=/usr/local
DATADIR=/usr/local/share/rice
DOCSDIR=/usr/local/share/doc/rice
EXAMPLESDIR=/usr/local/share/examples/rice
WWWDIR=/usr/local/www/rice
ETCDIR=/usr/local/etc/rice
--End SUB_LIST--

---Begin make.conf---
.sinclude "/etc/make.nxb.conf"
USE_PACKAGE_DEPENDS=yes
BATCH=yes
WRKDIRPREFIX=/wrkdirs
PORTSDIR=/usr/ports
PACKAGES=/packages
DISTDIR=/distfiles
MACHINE=arm
MACHINE_ARCH=armv6
ARCH=${MACHINE_ARCH}
#### /usr/local/etc/poudriere.d/make.conf ####
# XXX: We really need this but cannot use it while 'make checksum' does not
# try the next mirror on checksum failure.  It currently retries the same
# failed mirror and then fails rather then trying another.  It *does*
# try the next if the size is mismatched though.
#MASTER_SITE_FREEBSD=yes
DISABLE_MAKE_JOBS=poudriere
---End make.conf---
---Begin make.nxb.conf---
CC=/nxb-bin/usr/bin/cc
CPP=/nxb-bin/usr/bin/cpp
CXX=/nxb-bin/usr/bin/c++
AS=/nxb-bin/usr/bin/as
NM=/nxb-bin/usr/bin/nm
LD=/nxb-bin/usr/bin/ld
OBJCOPY=/nxb-bin/usr/bin/objcopy
SIZE=/nxb-bin/usr/bin/size
STRIPBIN=/nxb-bin/usr/bin/strip
SED=/nxb-bin/usr/bin/sed
READELF=/nxb-bin/usr/bin/readelf
RANLIB=/nxb-bin/usr/bin/ranlib
YACC=/nxb-bin/usr/bin/yacc
MAKE=/nxb-bin/usr/bin/make
STRINGS=/nxb-bin/usr/bin/strings
AWK=/nxb-bin/usr/bin/awk
FLEX=/nxb-bin/usr/bin/flex
---End make.nxb.conf---
=======================<phase: check-sanity   >============================
===========================================================================
=======================<phase: pkg-depends    >============================
===>   rubygem-rice-2.1.0 depends on file: /usr/local/sbin/pkg - not found
===>   Installing existing package /packages/All/pkg-1.8.8.txz
pkg-static: Warning: Major OS version upgrade detected.  Running "pkg-static 
install -f pkg" recommended
[110armv6-quarterly-job-13] Installing pkg-1.8.8...
[110armv6-quarterly-job-13] Extracting pkg-1.8.8: .......... done
===>   rubygem-rice-2.1.0 depends on file: /usr/local/sbin/pkg - found
===>   Returning to build of rubygem-rice-2.1.0
===========================================================================
=======================<phase: fetch-depends  >============================
===========================================================================
=======================<phase: fetch          >============================
===> Fetching all distfiles required by rubygem-rice-2.1.0 for building
===========================================================================
=======================<phase: checksum       >============================
===> Fetching all distfiles required by rubygem-rice-2.1.0 for building
=> SHA256 Checksum OK for rubygem/rice-2.1.0.gem.
===========================================================================
=======================<phase: extract-depends>============================
===>   rubygem-rice-2.1.0 depends on file: /usr/local/bin/ruby22 - not found
===>   Installing existing package /packages/All/ruby-2.2.5_1,1.txz
pkg-static: Warning: Major OS version upgrade detected.  Running "pkg-static 
install -f pkg" recommended
[110armv6-quarterly-job-13] Installing ruby-2.2.5_1,1...
[110armv6-quarterly-job-13] `-- Installing libffi-3.2.1...
[110armv6-quarterly-job-13] |   `-- Installing indexinfo-0.2.5...
[110armv6-quarterly-job-13] |   `-- Extracting indexinfo-0.2.5: .... done
[110armv6-quarterly-job-13] `-- Extracting libffi-3.2.1: .......... done
[110armv6-quarterly-job-13] `-- Installing libyaml-0.1.6_2...
[110armv6-quarterly-job-13] `-- Extracting libyaml-0.1.6_2: ......... done
[110armv6-quarterly-job-13] `-- Installing libedit-3.1.20150325_2,1...
[110armv6-quarterly-job-13] `-- Extracting libedit-3.1.20150325_2,1: .......... 
done
[110armv6-quarterly-job-13] Extracting ruby-2.2.5_1,1: .......... done
Message from ruby-2.2.5_1,1:
====
Some of the standard commands are provided as separate ports for ease
of upgrading:

        devel/ruby-gems:        gem - RubyGems package manager
        devel/rubygem-rake:     rake - Ruby Make

And some of the standard libraries are provided as separate ports
since they require extra dependencies:

        databases/ruby-gdbm:    GDBM module

Install them as occasion demands.
====
===>   rubygem-rice-2.1.0 depends on file: /usr/local/bin/ruby22 - found
===>   Returning to build of rubygem-rice-2.1.0
===>   rubygem-rice-2.1.0 depends on file: /usr/local/bin/gem22 - not found
===>   Installing existing package /packages/All/ruby22-gems-2.6.4.txz
pkg-static: Warning: Major OS version upgrade detected.  Running "pkg-static 
install -f pkg" recommended
[110armv6-quarterly-job-13] Installing ruby22-gems-2.6.4...
[110armv6-quarterly-job-13] Extracting ruby22-gems-2.6.4: .......... done
===>   rubygem-rice-2.1.0 depends on file: /usr/local/bin/gem22 - found
===>   Returning to build of rubygem-rice-2.1.0
===========================================================================
=======================<phase: extract        >============================
===> Fetching all distfiles required by rubygem-rice-2.1.0 for building
===>  Extracting for rubygem-rice-2.1.0
=> SHA256 Checksum OK for rubygem/rice-2.1.0.gem.
Unpacked gem: '/wrkdirs/usr/ports/devel/rubygem-rice/work/rice-2.1.0'
===========================================================================
=======================<phase: patch-depends  >============================
===>   rubygem-rice-2.1.0 depends on file: /usr/local/bin/ruby22 - found
===========================================================================
=======================<phase: patch          >============================
===>  Patching for rubygem-rice-2.1.0
===========================================================================
=======================<phase: build-depends  >============================
===>   rubygem-rice-2.1.0 depends on file: /usr/local/bin/ruby22 - found
===>   rubygem-rice-2.1.0 depends on file: /usr/local/bin/gem22 - found
===>   rubygem-rice-2.1.0 depends on file: /usr/local/bin/automake-1.15 - not 
found
===>   Installing existing package /packages/All/automake-1.15_1.txz
pkg-static: Warning: Major OS version upgrade detected.  Running "pkg-static 
install -f pkg" recommended
[110armv6-quarterly-job-13] Installing automake-1.15_1...
[110armv6-quarterly-job-13] `-- Installing autoconf-2.69_1...
[110armv6-quarterly-job-13] |   `-- Installing autoconf-wrapper-20131203...
[110armv6-quarterly-job-13] |   `-- Extracting autoconf-wrapper-20131203: 
........ done
[110armv6-quarterly-job-13] |   `-- Installing perl5-5.20.3_15...
[110armv6-quarterly-job-13] |   `-- Extracting perl5-5.20.3_15: .......... done
[110armv6-quarterly-job-13] |   `-- Installing m4-1.4.17_1,1...
[110armv6-quarterly-job-13] |   `-- Extracting m4-1.4.17_1,1: .......... done
[110armv6-quarterly-job-13] `-- Extracting autoconf-2.69_1: .......... done
[110armv6-quarterly-job-13] `-- Installing automake-wrapper-20131203...
[110armv6-quarterly-job-13] `-- Extracting automake-wrapper-20131203: ... done
[110armv6-quarterly-job-13] Extracting automake-1.15_1: .......... done
Message from perl5-5.20.3_15:
The /usr/bin/perl symlink has been removed starting with Perl 5.20.
For shebangs, you should either use:

#!/usr/local/bin/perl

or

#!/usr/bin/env perl

The first one will only work if you have a /usr/local/bin/perl,
the second will work as long as perl is in PATH.
===>   rubygem-rice-2.1.0 depends on file: /usr/local/bin/automake-1.15 - found
===>   Returning to build of rubygem-rice-2.1.0
===>   rubygem-rice-2.1.0 depends on file: /usr/local/bin/autoconf-2.69 - found
===========================================================================
=======================<phase: lib-depends    >============================
===========================================================================
=======================<phase: configure      >============================
===>  Configuring for rubygem-rice-2.1.0
configure: loading site script /usr/ports/Templates/config.site
checking for a BSD-compatible install... /usr/bin/install -c
checking whether build environment is sane... yes
checking for a thread-safe mkdir -p... (cached) /bin/mkdir -p
checking for gawk... (cached) /usr/bin/awk
checking whether make sets $(MAKE)... yes
checking whether make supports nested variables... yes
checking whether the C++ compiler works... yes
checking for C++ compiler default output file name... a.out
checking for suffix of executables... 
checking whether we are cross compiling... no
checking for suffix of object files... o
checking whether we are using the GNU C++ compiler... yes
checking whether /nxb-bin/usr/bin/c++ accepts -g... yes
checking for style of include used by make... GNU
checking dependency style of /nxb-bin/usr/bin/c++... gcc3
checking for ranlib... ranlib
checking build system type... armv6-portbld-freebsd11
checking host system type... armv6-portbld-freebsd11
checking whether /nxb-bin/usr/bin/c++ supports C++11 features by default... no
checking whether /nxb-bin/usr/bin/c++ supports C++11 features with 
-std=gnu++11... yes
checking for ruby.h... no
configure: error: could not find ruby.h (check config.log)
===>  Script "configure" failed unexpectedly.
Please report the problem to r...@freebsd.org [maintainer] and attach the
"/wrkdirs/usr/ports/devel/rubygem-rice/work/rice-2.1.0/config.log" including
the output of the failure of your make command. Also, it might be a good idea
to provide an overview of all packages installed on your system (e.g. a
/usr/local/sbin/pkg-static info -g -Ea).
*** Error code 1

Stop.
make: stopped in /usr/ports/devel/rubygem-rice
_______________________________________________
freebsd-pkg-fallout@freebsd.org mailing list
https://lists.freebsd.org/mailman/listinfo/freebsd-pkg-fallout
To unsubscribe, send any mail to "freebsd-pkg-fallout-unsubscr...@freebsd.org"

Reply via email to